de.esprit.common.util

## Interface SysProps

- All Known Implementing Classes:
    DebugUtil, JavaVersion, OsUtil

      public interface SysProps

  This class provides constants for system property names
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FILE_SEPARATOR`
    `static java.lang.String` | `JAVA_CLASS_PATH`
    `static java.lang.String` | `JAVA_ENDORSED_DIRS`
    `static java.lang.String` | `JAVA_HOME`
    `static java.lang.String` | `JAVA_IO_TMPDIR`
    `static java.lang.String` | `JAVA_RUNTIME_NAME`
    `static java.lang.String` | `JAVA_RUNTIME_VERSION`
    `static java.lang.String` | `JAVA_SPECIFICATION_VERSION`
    `static java.lang.String` | `JAVA_VERSION`
    `static java.lang.String` | `JAVA_VM_NAME`
    `static java.lang.String` | `LINE_SEPARATOR`
    `static java.lang.String` | `OS_ARCH`
    `static java.lang.String` | `OS_NAME`
    `static java.lang.String` | `OS_VERSION`
    `static java.lang.String` | `PATH_SEPARATOR`
    `static java.lang.String` | `SUN_ARCH_DATA_MODEL`
    `static java.lang.String` | `SUN_AWT_EXCEPTION_HANDLER`
    `static java.lang.String` | `USER_DIR`
    `static java.lang.String` | `USER_HOME`
    `static java.lang.String` | `USER_NAME`

- - ### Field Detail

    - #### JAVA_HOME

          static final java.lang.String JAVA_HOME

      See Also:
        Constant Field Values

    - #### JAVA_VERSION

          static final java.lang.String JAVA_VERSION

      See Also:
        Constant Field Values

    - #### JAVA_CLASS_PATH

          static final java.lang.String JAVA_CLASS_PATH

      See Also:
        Constant Field Values

    - #### JAVA_IO_TMPDIR

          static final java.lang.String JAVA_IO_TMPDIR

      See Also:
        Constant Field Values

    - #### JAVA_VM_NAME

          static final java.lang.String JAVA_VM_NAME

      See Also:
        Constant Field Values

    - #### JAVA_RUNTIME_NAME

          static final java.lang.String JAVA_RUNTIME_NAME

      See Also:
        Constant Field Values

    - #### JAVA_RUNTIME_VERSION

          static final java.lang.String JAVA_RUNTIME_VERSION

      See Also:
        Constant Field Values

    - #### JAVA_SPECIFICATION_VERSION

          static final java.lang.String JAVA_SPECIFICATION_VERSION

      See Also:
        Constant Field Values

    - #### OS_NAME

          static final java.lang.String OS_NAME

      See Also:
        Constant Field Values

    - #### OS_ARCH

          static final java.lang.String OS_ARCH

      See Also:
        Constant Field Values

    - #### OS_VERSION

          static final java.lang.String OS_VERSION

      See Also:
        Constant Field Values

    - #### USER_NAME

          static final java.lang.String USER_NAME

      See Also:
        Constant Field Values

    - #### USER_HOME

          static final java.lang.String USER_HOME

      See Also:
        Constant Field Values

    - #### USER_DIR

          static final java.lang.String USER_DIR

      See Also:
        Constant Field Values

    - #### LINE_SEPARATOR

          static final java.lang.String LINE_SEPARATOR

      See Also:
        Constant Field Values

    - #### FILE_SEPARATOR

          static final java.lang.String FILE_SEPARATOR

      See Also:
        Constant Field Values

    - #### PATH_SEPARATOR

          static final java.lang.String PATH_SEPARATOR

      See Also:
        Constant Field Values

    - #### SUN_ARCH_DATA_MODEL

          static final java.lang.String SUN_ARCH_DATA_MODEL

      See Also:
        Constant Field Values

    - #### SUN_AWT_EXCEPTION_HANDLER

          static final java.lang.String SUN_AWT_EXCEPTION_HANDLER

      See Also:
        Constant Field Values

    - #### JAVA_ENDORSED_DIRS

          static final java.lang.String JAVA_ENDORSED_DIRS

      See Also:
        Constant Field Values

Copyright © 2014 EsprIT-Systems. All Rights Reserved.